Bug 1670999 - Review Request: erlang-corba - Erlang CORBA libraries
Summary: Review Request: erlang-corba - Erlang CORBA libraries
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Randy Barlow
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1569499
TreeView+ depends on / blocked
 
Reported: 2019-01-30 13:51 UTC by Peter Lemenkov
Modified: 2019-02-01 22:15 UTC (History)
2 users (show)

Fixed In Version: erlang-corba-4.5.2-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-01 22:15:23 UTC
rbarlow: fedora-review+


Attachments (Terms of Use)

Description Peter Lemenkov 2019-01-30 13:51:02 UTC
Spec URL: https://peter.fedorapeople.org/packages/erlang-corba.spec
SRPM URL: https://peter.fedorapeople.org/packages/erlang-corba-4.5.2-1.fc29.src.rpm
Description: Erlang CORBA libraries
Fedora Account System Username: peter

Koji scratchbuild for Rawhide:

https://koji.fedoraproject.org/koji/taskinfo?taskID=32344607

These libraries were split-off from Erlang 21 so the package is intended only for Erlang 21+ (e.g. Fedora 30+).

Comment 1 Randy Barlow 2019-01-31 13:01:35 UTC
Summary of things to fix before importing to Fedora:

* Ensure the package installs (fedora-review said it doesn't, but fedora-review often doesn't work right lately…)
* Add a -devel package to contain the header files.
* Move the static files to the devel package as well.

Everything else noted below is at your option.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- Header files in -devel subpackage, if present.
  Note: erlang-ic : /usr/lib64/erlang/lib/ic-4.5.2/include/ic.h erlang-ic :
  /usr/lib64/erlang/usr/include/ic.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
- Static libraries in -static or -devel subpackage, providing -devel if
  present.
  Note: Package has .a files: erlang-ic. Illegal package name: erlang-ic.
  Does not provide -static: erlang-ic.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries
- Package uses either %{buildroot} or $RPM_BUILD_ROOT
  Note: Using both %{buildroot} and $RPM_BUILD_ROOT
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros
- This seems like a Java package, please install fedora-review-plugin-java
  to get additional checks


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* Apache License (v2.0)", "Unknown or generated",
     "Apache License (v2.0)". 193 files have unknown license. Detailed
     output of licensecheck in /home/vagrant/1670999-erlang-
     corba/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[!]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in erlang-
     corba-doc , erlang-cosEvent , erlang-cosEventDomain , erlang-
     cosFileTransfer , erlang-cosNotification , erlang-cosProperty ,
     erlang-cosTime , erlang-cosTransactions , erlang-ic , erlang-orber
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
     Note: The purpose of the first two patches wasn't entirely clear. It
     would be good to add more detail to the commit message in the patches,
     or add comments to the spec file.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.4.13 starting (python version = 3.7.2)...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled HW Info plugin
Mock Version: 1.4.13
INFO: Mock Version: 1.4.13
Finish: chroot init
INFO: installing package(s): /home/vagrant/1670999-erlang-corba/results/erlang-cosProperty-4.5.2-1.fc29.x86_64.rpm /home/vagrant/1670999-erlang-corba/results/erlang-cosFileTransfer-4.5.2-1.fc29.x86_64.rpm /home/vagrant/1670999-erlang-corba/results/erlang-cosNotification-4.5.2-1.fc29.x86_64.rpm /home/vagrant/1670999-erlang-corba/results/erlang-cosTime-4.5.2-1.fc29.x86_64.rpm /home/vagrant/1670999-erlang-corba/results/erlang-cosEvent-4.5.2-1.fc29.x86_64.rpm /home/vagrant/1670999-erlang-corba/results/erlang-corba-doc-4.5.2-1.fc29.noarch.rpm /home/vagrant/1670999-erlang-corba/results/erlang-ic-4.5.2-1.fc29.x86_64.rpm /home/vagrant/1670999-erlang-corba/results/erlang-orber-4.5.2-1.fc29.x86_64.rpm /home/vagrant/1670999-erlang-corba/results/erlang-cosTransactions-4.5.2-1.fc29.x86_64.rpm /home/vagrant/1670999-erlang-corba/results/erlang-cosEventDomain-4.5.2-1.fc29.x86_64.rpm
ERROR: Command failed: 
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-29-x86_64/root/ --releasever 29 --disableplugin=local --setopt=deltarpm=False install /home/vagrant/1670999-erlang-corba/results/erlang-cosProperty-4.5.2-1.fc29.x86_64.rpm /home/vagrant/1670999-erlang-corba/results/erlang-cosFileTransfer-4.5.2-1.fc29.x86_64.rpm /home/vagrant/1670999-erlang-corba/results/erlang-cosNotification-4.5.2-1.fc29.x86_64.rpm /home/vagrant/1670999-erlang-corba/results/erlang-cosTime-4.5.2-1.fc29.x86_64.rpm /home/vagrant/1670999-erlang-corba/results/erlang-cosEvent-4.5.2-1.fc29.x86_64.rpm /home/vagrant/1670999-erlang-corba/results/erlang-corba-doc-4.5.2-1.fc29.noarch.rpm /home/vagrant/1670999-erlang-corba/results/erlang-ic-4.5.2-1.fc29.x86_64.rpm /home/vagrant/1670999-erlang-corba/results/erlang-orber-4.5.2-1.fc29.x86_64.rpm /home/vagrant/1670999-erlang-corba/results/erlang-cosTransactions-4.5.2-1.fc29.x86_64.rpm /home/vagrant/1670999-erlang-corba/results/erlang-cosEventDomain-4.5.2-1.fc29.x86_64.rpm



Rpmlint
-------
Checking: erlang-corba-doc-4.5.2-1.fc29.noarch.rpm
          erlang-cosEvent-4.5.2-1.fc29.x86_64.rpm
          erlang-cosEventDomain-4.5.2-1.fc29.x86_64.rpm
          erlang-cosFileTransfer-4.5.2-1.fc29.x86_64.rpm
          erlang-cosNotification-4.5.2-1.fc29.x86_64.rpm
          erlang-cosProperty-4.5.2-1.fc29.x86_64.rpm
          erlang-cosTime-4.5.2-1.fc29.x86_64.rpm
          erlang-cosTransactions-4.5.2-1.fc29.x86_64.rpm
          erlang-ic-4.5.2-1.fc29.x86_64.rpm
          erlang-orber-4.5.2-1.fc29.x86_64.rpm
          erlang-corba-4.5.2-1.fc29.src.rpm
erlang-corba-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/erlang-corba-4.5.2/doc/js/flipmenu/flipmenu.js
erlang-corba-doc.noarch: E: version-control-internal-file /usr/share/doc/erlang-corba-4.5.2/lib/ic-4.5.2/html/.gitignore
erlang-corba-doc.noarch: E: zero-length /usr/share/doc/erlang-corba-4.5.2/lib/ic-4.5.2/html/.gitignore
erlang-cosEvent.x86_64: W: spelling-error Summary(en_US) Orber -> Borer, Order, Orb er
erlang-cosEvent.x86_64: W: spelling-error %description -l en_US Orber -> Borer, Order, Orb er
erlang-cosEvent.x86_64: W: only-non-binary-in-usr-lib
erlang-cosEventDomain.x86_64: W: spelling-error Summary(en_US) Orber -> Borer, Order, Orb er
erlang-cosEventDomain.x86_64: W: spelling-error %description -l en_US Orber -> Borer, Order, Orb er
erlang-cosEventDomain.x86_64: W: only-non-binary-in-usr-lib
erlang-cosFileTransfer.x86_64: W: spelling-error Summary(en_US) Orber -> Borer, Order, Orb er
erlang-cosFileTransfer.x86_64: W: spelling-error %description -l en_US Orber -> Borer, Order, Orb er
erlang-cosFileTransfer.x86_64: W: only-non-binary-in-usr-lib
erlang-cosNotification.x86_64: W: spelling-error Summary(en_US) Orber -> Borer, Order, Orb er
erlang-cosNotification.x86_64: W: spelling-error %description -l en_US Orber -> Borer, Order, Orb er
erlang-cosNotification.x86_64: W: only-non-binary-in-usr-lib
erlang-cosProperty.x86_64: W: spelling-error Summary(en_US) Orber -> Borer, Order, Orb er
erlang-cosProperty.x86_64: W: spelling-error %description -l en_US Orber -> Borer, Order, Orb er
erlang-cosProperty.x86_64: W: only-non-binary-in-usr-lib
erlang-cosTime.x86_64: W: spelling-error Summary(en_US) Orber -> Borer, Order, Orb er
erlang-cosTime.x86_64: W: spelling-error %description -l en_US Orber -> Borer, Order, Orb er
erlang-cosTime.x86_64: W: only-non-binary-in-usr-lib
erlang-cosTransactions.x86_64: W: spelling-error Summary(en_US) Orber -> Borer, Order, Orb er
erlang-cosTransactions.x86_64: W: spelling-error %description -l en_US Orber -> Borer, Order, Orb er
erlang-cosTransactions.x86_64: W: only-non-binary-in-usr-lib
erlang-ic.x86_64: W: devel-file-in-non-devel-package /usr/lib64/erlang/lib/ic-4.5.2/include/ic.h
erlang-ic.x86_64: W: devel-file-in-non-devel-package /usr/lib64/erlang/lib/ic-4.5.2/priv/lib/libic.a
erlang-ic.x86_64: W: devel-file-in-non-devel-package /usr/lib64/erlang/usr/include/ic.h
erlang-ic.x86_64: W: devel-file-in-non-devel-package /usr/lib64/erlang/usr/lib/libic.a
erlang-orber.x86_64: W: only-non-binary-in-usr-lib
11 packages and 0 specfiles checked; 2 errors, 27 warnings.




Requires
--------
erlang-cosEventDomain (rpmlib, GLIBC filtered):
    erlang-cosNotification(x86-64)
    erlang-erts(x86-64)
    erlang-kernel(x86-64)
    erlang-orber(x86-64)
    erlang-stdlib(x86-64)

erlang-cosFileTransfer (rpmlib, GLIBC filtered):
    erlang-cosProperty(x86-64)
    erlang-erts(x86-64)
    erlang-inets(x86-64)
    erlang-kernel(x86-64)
    erlang-orber(x86-64)
    erlang-ssl(x86-64)
    erlang-stdlib(x86-64)

erlang-cosProperty (rpmlib, GLIBC filtered):
    erlang-erts(x86-64)
    erlang-kernel(x86-64)
    erlang-mnesia(x86-64)
    erlang-orber(x86-64)
    erlang-stdlib(x86-64)

erlang-cosTime (rpmlib, GLIBC filtered):
    erlang-cosEvent(x86-64)
    erlang-erts(x86-64)
    erlang-kernel(x86-64)
    erlang-orber(x86-64)
    erlang-stdlib(x86-64)

erlang-cosNotification (rpmlib, GLIBC filtered):
    erlang-cosEvent(x86-64)
    erlang-cosTime(x86-64)
    erlang-erts(x86-64)
    erlang-kernel(x86-64)
    erlang-orber(x86-64)
    erlang-stdlib(x86-64)

erlang-cosTransactions (rpmlib, GLIBC filtered):
    erlang-erts(x86-64)
    erlang-kernel(x86-64)
    erlang-orber(x86-64)
    erlang-stdlib(x86-64)

erlang-cosEvent (rpmlib, GLIBC filtered):
    erlang-erts(x86-64)
    erlang-kernel(x86-64)
    erlang-orber(x86-64)
    erlang-stdlib(x86-64)

erlang-corba-doc (rpmlib, GLIBC filtered):

erlang-orber (rpmlib, GLIBC filtered):
    erlang-erts(x86-64)
    erlang-inets(x86-64)
    erlang-kernel(x86-64)
    erlang-mnesia(x86-64)
    erlang-ssl(x86-64)
    erlang-stdlib(x86-64)

erlang-ic (rpmlib, GLIBC filtered):
    erlang-erts(x86-64)
    erlang-jinterface
    erlang-kernel(x86-64)
    erlang-stdlib(x86-64)
    javapackages-tools



Provides
--------
erlang-cosEventDomain:
    erlang-cosEventDomain
    erlang-cosEventDomain(x86-64)

erlang-cosFileTransfer:
    erlang-cosFileTransfer
    erlang-cosFileTransfer(x86-64)

erlang-cosProperty:
    erlang-cosProperty
    erlang-cosProperty(x86-64)

erlang-cosTime:
    erlang-cosTime
    erlang-cosTime(x86-64)

erlang-cosNotification:
    erlang-cosNotification
    erlang-cosNotification(x86-64)

erlang-cosTransactions:
    erlang-cosTransactions
    erlang-cosTransactions(x86-64)

erlang-cosEvent:
    erlang-cosEvent
    erlang-cosEvent(x86-64)

erlang-corba-doc:
    erlang-corba-doc

erlang-orber:
    erlang-orber
    erlang-orber(x86-64)

erlang-ic:
    erlang-ic
    erlang-ic(x86-64)



Source checksums
----------------
https://github.com/erlang/corba/archive/4.5.2/corba-4.5.2.tar.gz :
  CHECKSUM(SHA256) this package     : 36f397e6aef97eebda629badb0570cb4ddc979a6d1557bc487a9e13671facf8f
  CHECKSUM(SHA256) upstream package : 36f397e6aef97eebda629badb0570cb4ddc979a6d1557bc487a9e13671facf8f


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1670999
Buildroot used: fedora-29-x86_64
Active plugins: Generic, Shell-api, Java, C/C++
Disabled plugins: Python, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Gwyn Ciesla 2019-01-31 21:17:02 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/erlang-corba


Note You need to log in before you can comment on or make changes to this bug.